# Love-touch-virtual-gamepad

This is an attempt at creating a touch layout for mobile and touch devices.

<img src="screenshot.webp" width=75% height=75%>

The goal of this software is to create a library that can be easily added to any löve games to play it on mobile devices.

The layout I created attempts to be both comfortable and intuitive while provide quick access to the virtual thumbstick and buttons.

To implement this library on any game simply add the following code to main.lua: 
local touchControls = require("touchControls")

function love.load()
  touchControls:init()
end

function love.draw()
  touchControls:draw()
end

# Games using this library

This library is in a preliminary state and is being tested, betatesting and contributions are welcome.

The following games includes a release using the library, the screen resolution and other parameters are tweaked to fit on mobile devices, please check releases for more details:

https://codeberg.org/glitchapp/fish-fillets-remake

https://codeberg.org/glitchapp/nova-pinball

https://codeberg.org/glitchapp/pacpac

https://codeberg.org/glitchapp/SNAK

# License

 Copyright (C) 2024  Glitchapp

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.


The license text can be found in GPL-2.0.txt.